//
//  AKLinkedListTests.m
//  LinkedList
//
//  Created by Aleksey Kuznetsov on 14.08.13.
//  Copyright (c) 2013 zummenix. All rights reserved.
//


#import "AKLinkedListTests.h"
#import "AKLinkedList.h"


@interface AKLinkedListTests ()

@property (nonatomic, strong) AKLinkedList *linkedList;

@end


@implementation AKLinkedListTests

- (void)setUp
{
    [super setUp];

    self.linkedList = [[AKLinkedList alloc] init];
    STAssertNotNil(self.linkedList, nil);
}

- (void)tearDown
{
    self.linkedList = nil;

    [super tearDown];
}

- (void)testAddObject
{
    [self.linkedList addObject:nil];
    STAssertTrue(self.linkedList.count == 0, nil);

    [self.linkedList addObject:@"String"];
    STAssertTrue(self.linkedList.count == 1, nil);

    [self.linkedList addObject:@"Text"];
    STAssertTrue(self.linkedList.count == 2, nil);
}

- (void)testContainsObject
{
    [self.linkedList addObject:@"object"];
    STAssertTrue([self.linkedList containsObject:@"object"] == YES, nil);
}

@end
